<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();

$set['title']='Новый блог';
include_once '../sys/inc/thead.php';
title();
aut();


if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>3000)$err='Длина текста превышает предел в 1024 символа';

if(isset($_POST['privat']))
{
if($_POST['privat'] == 1) $privat='1';
else $privat='0';
}
else $privat='0';


if (!isset($err))
{
mysql_query("INSERT INTO `blog_list` (`id_user`, `name`, `msg`, `time`, `privat`) values('$user[id]', '$name', '$msg', '$time', '$privat')");
msg('Запись добавлена');
}
}
err();


echo "<form class='foot' method='post' action='?add'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";

echo "Текст: <br />";
echo "<textarea name=\"msg\"></textarea><br />";

echo "<label><input type=\"checkbox\" name=\"privat\" value=\"1\" />Только для меня</label><br />\n";


echo "<input value=\"Добавить\" type=\"submit\" />\n";
echo "</form>\n";

echo"<div class='anton'>\n";
echo"<a href='index.php'>Блоги</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';

?>